Bug 133925 - s-c-date doesn't handle multi-homed time servers well
Summary: s-c-date doesn't handle multi-homed time servers well
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-date   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-28 15:04 UTC by Nils Philippsen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 10:26:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2004-09-28 15:04:29 UTC
Description of problem:

s-c-date converts NTP server names to IPs and as such doesn't work for
multi-homes time servers, even more so if the list of IPs may change
regularly (e.g. pool.ntp.org).

Version-Release number of selected component (if applicable):

system-config-date-1.7.9-1

How reproducible:

Always.

Steps to Reproduce:
1. Add pool.ntp.org as NTP server
2.
3.
  
Actual results:

Looking at /etc/ntp.conf, /etc/ntp/step-tickers, s-c-date adds one of
the IPs pool.ntp.org resolves to

Expected results:

s-c-date adds the name of the timeserver which would resolve to a
different one of the "mirrors" on each ntp invocation

Additional info:

Comment 1 Nils Philippsen 2005-08-19 10:26:15 UTC
Fixed in current Rawhide.


Note You need to log in before you can comment on or make changes to this bug.